Bug 136603 - When using pcnet32 lan card, number showing up in TX-ERR should be in the TX-OK field
Summary: When using pcnet32 lan card, number showing up in TX-ERR should be in the TX-...
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-21 05:43 UTC by Geronimo A. Ordanza II
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-19 15:30:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sysreport file (236.85 KB, text/plain)
2004-10-26 03:41 UTC, Geronimo A. Ordanza II
no flags Details
pcnet32_info.txt (3.00 KB, text/plain)
2004-10-27 13:55 UTC, John W. Linville
no flags Details

Description Geronimo A. Ordanza II 2004-10-21 05:43:11 UTC
Description of problem:
Basically the number showing up in TX-ERR should be in the TX-OK field

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use a pcnet32 network card
2. Check output of netstat
3. Check output in /proc/net/dev
  
Actual results:

From /proc/pci: 

Bus  2, device   9, function  0:     Ethernet controller: Advanced
Micro Devices [AMD] 79c970 [PCnet32 LANCE] (rev 68).       IRQ 9.    
  Master Capable.  Latency=64.  Min Gnt=24.Max Lat=24.       I/O at
0xdce0 [0xdcff].       Non-prefetchable 32 bit memory at 0xff6ffc00
[0xff6ffc1f].    

netstat -i shows:

Kernel Interface table Iface       MTU Met    RX-OK RX-ERR RX-DRP
RX-OVR    TX-OK TX-ERR TX-DRP TX-OVR Flg eth0       1500   0    12111
     0      0      0        0  10061      0      0 BMRU lo       
16436   0     5082      0      0      0     5082      0      0      0
LRU  

the same thing shows in /proc/net/dev 

Inter-|   Receive                                                | 
Transmit  face |bytes    packets errs drop fifo frame compressed
multicast|bytes    packets errs drop fifo colls carrier compressed   
 lo:  524294    5005    0    0    0     0          0         0  
524294    5005    0    0    0     0       0          0   eth0: 9981488
  12083    0    0    0     0          0         0  1284152       0
10061    0    0     0   10061          0   eth1:       0       0    0
   0    0     0          0         0        0       0    0    0    0 
   0       0          0

Expected results:
The values in TX-ERR and TX-OK should be interchange

Additional info:
Except for the output in netstat and /proc/net/dev, network card seems
to be working fine.

Comment 1 John W. Linville 2004-10-25 14:49:45 UTC
What kernel version are you using?  I have been unable to recreate
this with a variety of kernels, as old as RHEL3 U2 and as new as RHEL3
U4 (10/21), which several in between.  They all seem to display this
properly.

Perhaps you could include a sysinfo run as well?

Comment 2 Geronimo A. Ordanza II 2004-10-26 03:38:38 UTC
Hi,

Customer is using 2.4.21-20.EL kernel.  I'm attaching the sysreport
for his system.

--gene

Comment 3 Geronimo A. Ordanza II 2004-10-26 03:41:33 UTC
Created attachment 105767 [details]
Sysreport file

Comment 4 John W. Linville 2004-10-27 13:55:43 UTC
Created attachment 105839 [details]
pcnet32_info.txt

Output of various utilities on my pcnet32-equipped box...

Comment 5 John W. Linville 2004-10-27 14:04:45 UTC
The above attachment was created on a PIII box w/ pcnet32 card running
2.4.21-20.EL kernel.  I don't see the problem on this box.

Can you provide a more detailed description of how to create the problem?

Any chance you can provide a card that has the failure?  Or at least
identify an exact make/model of card and/or give a list of all other
chips on the card?  I suspect this could be a PHY-related issue?

Comment 6 Geronimo A. Ordanza II 2004-11-10 09:05:06 UTC
Hi,

The only additional information that I can get from the customer is
the following:  

1.  That the network card is an Transition Networks N-FX-SC-01 PCI
nic...  

2.  And that a more detailed info on this card can be found on the
following web site,

 http://www.transition.com/Products/Nics.aspx  

Given the limited info that we have, is there anything else we can do
for the customer?

--gene

Comment 7 John W. Linville 2004-11-15 17:41:05 UTC
That URL appears to be busted (at least at the moment)...

With no more information and no way to recreate/verify the defect,
there is nothing I can do.


Note You need to log in before you can comment on or make changes to this bug.